%  Brent R. Hickman and Timothy P. Hubbard
% hickmanbr@uchicago.edu and timothy.hubbard@colby.edu

% please cite our Journal of Applied Econometrics paper "Replacing Sample
% Trimming with Boundary Correction in Nonparametric Estimation of
% First-Price Auctions" if this code is helpful to you.

% integral portion of analytic bid function for mixtures of Beta
% distributions

function y = risamint_mixbetas(v,a,b,gamma,N)

% evaluate Beta distribution at points in grid space
F = betacdf(v,a,b);

% evaluate mixture distribution at points in grid space
Fmix = gamma*v + (1 - gamma)*F;

y = Fmix.^(N - 1);