%  Brent R. Hickman and Timothy P. Hubbard
% hickmanbr@uchicago.edu and timothy.hubbard@colby.edu

% please cite our Journal of Applied Econometrics paper "Replacing Sample
% Trimming with Boundary Correction in Nonparametric Estimation of
% First-Price Auctions" if this code is helpful to you.

% trim bids near boundary following GPV (2000)

function [keep,ntrim] = trim(orig,ind,h)

% description of inputs:
% orig is data
% ind is indicator of column with bids
% h is bandwidth

n = size(orig,1);
Bmin = min(orig(:,ind));
Bmax = max(orig(:,ind));

% trim all bids that lie within one bandwidth of high/low bids
keep = orig(find((Bmin + h) <= orig(:,ind) & ...
    orig(:,ind) <= (Bmax - h)),:);

% number of bids that get trimmed
ntrim = length(find((Bmin + h) > orig(:,ind) | orig(:,ind) > (Bmax - h)));
